### Function

# Cogl Color equal

#### Declaration [src]

    gboolean
    cogl_color_equal (
      void* v1,
      void* v2
    )

#### Description [src]

Compares two `CoglColor`s and checks if they are the same.

This function can be passed to `g_hash_table_new()` as the `key_equal_func` parameter, when using `CoglColor`s as keys in a `GHashTable`.

#### Parameters

`v1`

  Type: `void*`

  A `CoglColor`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`v2`

  Type: `void*`

  A `CoglColor`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the two colors are the same.